# {{ ansible_managed }}
#
# workflowserver.properties
#

# --- ORB properties. These properties are ignored when using the application server's ORB.

# hostname and port for this servers ORB
# additional/alternative ORB configuration
# for surpassing firewalls, set the port number;
# to avoid problems with dns, use the host to set an ip address:
workflow.server.ORBServerHost=
workflow.server.ORBServerPort=

# Set this property if the server should open an SSL port.
# A keystore and passphrase must be provided using system properties.
# See the SSL-HowTo for details.
workflow.server.ORBServerSSLPort=

# --- END ORB properties.


# If Content Server is not available when the Workflow Server starts,
# it will wait the configured time in seconds before retrying.
workflow.server.uapi.connectRetryDelaySeconds=10

# the implementation to use for persistence
workflow.server.adapters.persistence=com.coremedia.workflow.impl.server.adapters.persistence.GenericRDBMSAdapter

# the maximum number of concurrent transaction handlers,
# which corresponds to the maximum number of connections
workflow.server.tx.max=20

# the maximum number of concurrent handlers for long
# runnning actions
workflow.server.long-actions-max=20

# the implementation to use for directory services
workflow.server.adapters.directory=com.coremedia.workflow.impl.server.adapters.directory.UnifiedUserManagerAdapter

# the implementation to use for remote action handler inside the server
workflow.server.remote-action-handler = com.coremedia.cotopaxi.workflow.BuiltInRemoteActionHandler

# set to false if the content repository contains so many rights rules that workflow server startup becomes slow,
# but only if you can live without the "navigate through" mechanism for folder rights.
#workflow.navigatethrough=true

# remap roles for default workflows
#roles.map.approver-role=approver@example.org
#roles.map.composer-role=composer@example.org
#roles.map.publisher-role=publisher@example.org

# Log configuration:
# server logging options - note: these may be changed and are re-read while the server is running.
#workflow.server.log.contentmanager=true
#workflow.server.log.errorlog=true
#workflow.server.log.persistenceadapter=true
#workflow.server.log.processsweeper=true
#workflow.server.log.remoteaction=true
#workflow.server.log.signals=true
#workflow.server.log.timers=true
#workflow.server.log.transactions=true

# common logging options
#workflow.common.log.actions=true
#workflow.common.log.expressions=true
#workflow.common.log.policies=true

# spring context manager
workflow.server.managers.springcontext.class=com.coremedia.workflow.common.util.SpringContextManager
workflow.server.managers.springcontext.configurations=config/workflowserver/spring/applicationContext.xml
